Home

Return traces matching an address and block filter

POST
https://eth-archive.nownodes.io/

Returns localized transaction traces matching the supplied filter. The filter can constrain the block range, sender addresses, recipient addresses, offset, and result count.

Body

application/json

Returns localized transaction traces matching the supplied filter. The filter can constrain the block range, sender addresses, recipient addresses, offset, and result count.

Request payload for trace_filter.

jsonrpcstring2.0required

JSON-RPC protocol version.

methodstringtrace_filterrequired

JSON-RPC method name.

idinteger | stringrequired

Client-provided JSON-RPC request identifier. The same value is returned in the response.

paramsArray<TraceFilter>required

Parameters: trace filter object.

Show child attributes
fromBlockstring | string

Ethereum block identifier accepted by the trace API.

toBlockstring | string

Ethereum block identifier accepted by the trace API.

fromAddressArray<string>

Return traces sent from these addresses.

toAddressArray<string>

Return traces sent to these addresses.

afterinteger

Offset trace number to start from.

countinteger

Maximum number of traces to return.

Response

200OK

Successful JSON-RPC response or JSON-RPC method error.

400Bad Request

Invalid HTTP request body or malformed JSON-RPC payload.

401Unauthorized

Missing or invalid API key.

500Internal Server Error

Internal server error.